# Template Struct value_serializer< int32_t >

- Defined in File serialize.hpp

## Inheritance Relationships

### Base Type

- `public zeem::char_conv_serializer< int32_t >` (Template Struct char_conv_serializer)

## Struct Documentation

template<>
struct value_serializer<int32_t> : public zeem::char_conv_serializer<int32_t>

  value_serializer implementation for int32_t

  Public Static Functions

  static inline std::string type_name()